Subject: Re: [Suggestion] ISDN: isdnloop: C grammar issue, '}' miss match 'if' and 'switch' statement.

From: Dan Williams <[email-masked]>
Date: Fri, 05 Apr 2013 15:37:27 -0500

On Thu, 2013-04-04 at 20:00 -0700, Joe Perches wrote:
> On Thu, 2013-04-04 at 14:09 -0400, David Miller wrote:
> > From: Chen Gang <[email-masked]>
> > Date: Thu, 04 Apr 2013 16:30:01 +0800
> > >> Of course, nobody sane actually cares about ISDN any more, so I think
> > >> this is all pretty academic. I think even Germany (where ISDN *used*
> > >> to be very common due to telephone monopolies and odd rules) no longer
> > >> uses it. I can't imagine that anybody else does either.
> > >   can we delete it ?
> > I think the point is no that we can delete it, but rather that we
> > should concentrate our efforts on code that more people use rather
> > than trying to clean up antiquated code with very few users.
> 
> Very sensible.
> 
> I was going to see about moving drivers/isdn/hardware/eicon
> to staging but it seems the hardware is still for sale.
> 
> http://www.dialogic.com/en/products/media/diva/diva-bri-2.aspx
> 
> Anyone have suggestions on other obsolete isdn drivers that
> could be moved to staging for awhile before deletion?

Anything PCMCIA or ISA?  There are a number of them:

CONFIG_ISDN_DRV_AVMB1_B1ISA
CONFIG_ISDN_DRV_AVMB1_B1PCMCIA
CONFIG_ISDN_DRV_AVMB1_AVM_CS
CONFIG_ISDN_DRV_AVMB1_T1ISA
CONFIG_HISAX_SEDLBAUER_CS
CONFIG_HISAX_ELSA_CS
CONFIG_HISAX_AVM_A1_CS
CONFIG_HISAX_TELES_CS
CONFIG_ISDN_DRV_ACT2000

That's all I can find in a quick look.

Dan